## ocaml-gstreamer 0.1.0

=== examples/appsink/Makefile ===
SOURCES = appsink.ml
RESULT = appsink
LIBS = unix bigarray gstreamer
CLIBS = camlidl
INCDIRS = ../../src

all: dnc

test: all
	./appsink

include OCamlMakefile

=== examples/mp3_player/Makefile ===
SOURCES = player.ml
RESULT = player
LIBS = unix bigarray gstreamer
CLIBS = camlidl
INCDIRS = ../../src

all: dnc

test: all
	./player ../../../ocaml-mm/examples/test.mp3

include OCamlMakefile

=== examples/sine/Makefile ===
SOURCES = sine.ml
RESULT = sine
LIBS = unix bigarray gstreamer
CLIBS = camlidl
INCDIRS = ../../src

all: dnc

test: all
	./sine

include OCamlMakefile

=== debian/changelog ===
ocaml-gstreamer (0.1.0-3build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 11:57:55 +0000

ocaml-gstreamer (0.1.0-3) unstable; urgency=low

  * Added dependency on camlidl to libgstreamer-ocaml-dev. 
  * Added patch to fix source files.
  * Fixed old FSF address.
  * Fixed typo in synopsis. 
  Closes: #644861

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 16 Oct 2011 18:45:56 +0200

ocaml-gstreamer (0.1.0-2) unstable; urgency=low

  * Fixed licenses in debian.copyright. 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 08 Oct 2011 20:39:15 +0200

ocaml-gstreamer (0.1.0-1) unstable; urgency=low

  * Initial upload to sid (Closes: #644742)

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 08 Oct 2011 20:28:58 +0200

=== debian/control ===
Source: ocaml-gstreamer
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: 
  autotools-dev,
 cdbs (>= 0.4.72~),
 debhelper,
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
  libgstreamer0.10-dev, 
  libgstreamer-plugins-base0.10-dev,
  ocaml-findlib (>= 1.2.4), 
  camlidl,
  pkg-config
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-gstreamer.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-gstreamer.git

Package: libgstreamer-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the gstreamer library -- runtime files
 This package provides an interface to the gstreamer library for
 OCaml programmers.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.
 .
 This package contains only the shared runtime stub libraries.

Package: libgstreamer-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends},
         camlidl, 
         libgstreamer0.10-dev, 
         libgstreamer-plugins-base0.10-dev,
         libgstreamer-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the gstreamer library -- development files
 This package provides an interface to the gstreamer library for
 OCaml programmers.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-gstreamer.

## ocaml-gstreamer 0.2.0

=== examples/sine/Makefile ===
SOURCES = sine.ml
RESULT = sine
LIBS = bigarray gstreamer
INCDIRS = ../../src
THREADS = yes

all: dnc

test: all
	./sine

include OCamlMakefile

=== debian/changelog ===
ocaml-gstreamer (0.2.0-2build4) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 22:01:09 +0200

ocaml-gstreamer (0.2.0-2build3) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:43 +0100

ocaml-gstreamer (0.2.0-2build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 12:27:01 -0600

ocaml-gstreamer (0.2.0-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:03 +0000

ocaml-gstreamer (0.2.0-2) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:07:55 -0500

ocaml-gstreamer (0.2.0-1) experimental; urgency=low

  * New upstream version, complete rewrite of the bindings
  * Upload to experimental.
  * Bumpted standards version to 3.9.4
  * Drop build-dep on camlidl, not needed anymore. 
  * Temporatily removed doc building until build fixed.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Apr 2013 22:04:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: ocaml-gstreamer
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: 
   autotools-dev,
- cdbs (>= 0.4.72~),
- debhelper,
- dh-buildinfo,
- ocaml-nox,
- dh-ocaml (>= 0.9), 
-  libgstreamer0.10-dev, 
-  libgstreamer-plugins-base0.10-dev,
+  cdbs (>= 0.4.72~),
+  debhelper,
+  dh-buildinfo,
+  ocaml-nox,
+  dh-ocaml (>= 0.9), 
+  libgstreamer1.0-dev, 
+  libgstreamer-plugins-base1.0-dev,
   ocaml-findlib (>= 1.2.4), 
-  camlidl,
   pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-gstreamer.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-gstreamer.git
@@ -38,9 +38,8 @@
 Package: libgstreamer-ocaml-dev
 Architecture: any
 Depends: ${ocaml:Depends},
-         camlidl, 
-         libgstreamer0.10-dev, 
-         libgstreamer-plugins-base0.10-dev,
+         libgstreamer1.0-dev, 
+         libgstreamer-plugins-base1.0-dev,
          libgstreamer-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the gstreamer library -- development files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DEB_CONFIGURE_SCRIPT  := ./configure
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
# Do not compile dynlink files for now..
DEB_MAKE_BUILD_TARGET := OCAML_DYNLINK="" all
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libgstreamer-ocaml-dev::
	mkdir -p $(DESTDIR)

clean::
	rm -rf .pc config.h Makefile src/Makefile src/META doc config.log config.status

## ocaml-gstreamer 0.3.0

=== examples/appsink/Makefile ===
SOURCES = appsink.ml
RESULT = appsink
LIBS = bigarray gstreamer
INCDIRS = ../../src
THREADS = yes

all: dnc

test: all
	./appsink

include OCamlMakefile

=== examples/caps/Makefile ===
SOURCES = caps.ml
RESULT = caps
LIBS = bigarray gstreamer
INCDIRS = ../../src
THREADS = yes

all: dnc

test: all
	./caps test.mp3

include OCamlMakefile

=== examples/duration/Makefile ===
SOURCES = duration.ml
RESULT = duration
LIBS = bigarray gstreamer
INCDIRS = ../../src
THREADS = yes

all: dnc

test: all
	./duration test.mp3

include OCamlMakefile

=== examples/mp3_player/Makefile ===
SOURCES = player.ml
RESULT = player
LIBS = bigarray gstreamer
INCDIRS = ../../src
THREADS = yes

all: dnc

test: all
	./player ../../../ocaml-mm/examples/test.mp3

include OCamlMakefile

=== examples/playlist/Makefile ===
SOURCES = playlist.ml
RESULT = playlist
LIBS = bigarray gstreamer
INCDIRS = ../../src
THREADS = yes

all: dnc

test: all
	./playlist test.mp3 test.mp3 test.mp3

include OCamlMakefile

=== examples/tags/Makefile ===
SOURCES = tags.ml
RESULT = tags
LIBS = bigarray gstreamer
INCDIRS = ../../src
THREADS = yes

all: dnc

test: all
	./tags test.mp3

include OCamlMakefile

=== debian/changelog ===
ocaml-gstreamer (0.3.0-2build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:32:24 +0000

ocaml-gstreamer (0.3.0-2) unstable; urgency=low

  * Fix Vcs-* references

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 09 Nov 2019 10:40:56 +0200

ocaml-gstreamer (0.3.0-1) unstable; urgency=medium

  * Update watch file
  * New upstream version 0.3.0
  * Convert copyright to DEP-5
  * Update uploaders
  * Bump compat to 11 (move to debhelper-compat)
  * Update Vcs-* to use salsa
  * Move package to dh
  * Bump Standards-Version to 4.4.1 (move to dh, use debhelper-compat)

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 08 Nov 2019 21:09:25 +0200

=== debian/control ===
Source: ocaml-gstreamer
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 11),
               dh-buildinfo,
               dh-ocaml (>= 0.9),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               ocaml-findlib (>= 1.2.4),
               ocaml-nox,
               pkg-config
Standards-Version: 4.4.1
Homepage: https://www.liquidsoap.info/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gstreamer.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gstreamer

Package: libgstreamer-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the GStreamer library -- runtime files
 This package provides an interface to the GStreamer library for
 OCaml programmers.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.
 .
 This package contains only the shared runtime stub libraries.

Package: libgstreamer-ocaml-dev
Architecture: any
Depends: libgstreamer-ocaml (= ${binary:Version}),
         libgstreamer-plugins-base1.0-dev,
         libgstreamer1.0-dev,
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the GStreamer library -- development files
 This package provides an interface to the GStreamer library for
 OCaml programmers.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-gstreamer.

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-gstreamer/releases .*/ocaml-gstreamer-(.*)\.tar\.gz

## ocaml-gstreamer 0.3.1

=== debian/changelog ===
ocaml-gstreamer (0.3.1-5) unstable; urgency=medium

  * Team upload
  * Remove dh-buildinfo from Build-Depends
  * Build-depend on pkgconf instead of pkg-config
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 01:32:29 +0200

ocaml-gstreamer (0.3.1-4) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:58:59 +0200

ocaml-gstreamer (0.3.1-3) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1041032)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 11:57:47 +0200

ocaml-gstreamer (0.3.1-2) unstable; urgency=low

  * d/watch: correctly scan GitHub tags
  * d/control: add missing shlibs:Depends

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 14:35:59 +0200

ocaml-gstreamer (0.3.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 18:02:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: ocaml-gstreamer
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper,
-               debhelper-compat (= 11),
-               dh-buildinfo,
-               dh-ocaml (>= 0.9),
+               debhelper-compat (= 13),
+               dh-ocaml (>= 1.2),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               ocaml-findlib (>= 1.2.4),
-               ocaml-nox,
-               pkg-config
-Standards-Version: 4.4.1
+               ocaml-dune,
+               libdune-ocaml-dev,
+               ocaml,
+               pkgconf
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://www.liquidsoap.info/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gstreamer.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gstreamer
@@ -40,7 +40,8 @@
          libgstreamer1.0-dev,
          ocaml-findlib,
          ${misc:Depends},
-         ${ocaml:Depends}
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the GStreamer library -- development files
  This package provides an interface to the GStreamer library for

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@@ARCHIVE_EXT@%@PACKAGE@-$1.tar.gz%" \
    https://github.com/savonet/ocaml-gstreamer/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
